Name:          yp-tools
Version:       4.2.3
Release:       1mamba
Summary:       Network Information Service (YP) client utilities
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/thkukuk/yp-tools
Source:        https://github.com/thkukuk/yp-tools.git/v%{version}/yp-tools-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libe2fs-devel
BuildRequires: libkrb5-devel
BuildRequires: libnsl-devel
BuildRequires: libtirpc-devel
## AUTOBUILDREQ-END

%description
Network Information Service (YP) client utilities.
The yp-tools package contains the programs domainname, nisdomainname, ypcat, ypchfn, ypchsh, ypdomainname, ypmatch, yppoll, ypset, ypwhich and yppasswd. yp-tools 4.x is a port of yp-tools 2.x to support IPv6. For this reason, it is now linked against TI-RPC and an external libnsl.

%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/domainname
%{_bindir}/nisdomainname
%{_bindir}/ypcat
%{_bindir}/ypchfn
%{_bindir}/ypchsh
%{_bindir}/ypdomainname
%{_bindir}/ypmatch
%{_bindir}/yppasswd
%{_bindir}/ypwhich
%{_sbindir}/yp_dump_binding
%{_sbindir}/yppoll
%{_sbindir}/ypset
%{_sbindir}/yptest
%{_mandir}/man1/ypcat.1*
%{_mandir}/man1/ypchfn.1*
%{_mandir}/man1/ypchsh.1*
%{_mandir}/man1/ypmatch.1*
%{_mandir}/man1/yppasswd.1*
%{_mandir}/man1/ypwhich.1*
%{_mandir}/man5/nicknames.5*
%{_mandir}/man8/domainname.8*
%{_mandir}/man8/nisdomainname.8*
%{_mandir}/man8/yp_dump_binding.8*
%{_mandir}/man8/ypdomainname.8*
%{_mandir}/man8/yppoll.8*
%{_mandir}/man8/ypset.8*
%{_localstatedir}/yp/nicknames
%doc AUTHORS COPYING THANKS

%changelog
* Sun Mar 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.3-1mamba
- update to 4.2.3

* Sat Sep 30 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.2-1mamba
- package created using the webbuild interface
